package it.inaf.oats.ia2.tapschemamanager.webapp;

import java.io.Serializable;

/**
 *
 * @author Sonia Zorba {@literal <zorba at oats.inaf.it>}
 */
public class UCDInfo implements Serializable {

    private static final long serialVersionUID = 585936072742567972L;

    private final String score;
    private final String flag;
    private final String word;
    private String definition;

    UCDInfo(String score, String flag, String word) {
        this.score = score;
        this.flag = flag;
        this.word = word;
    }

    public String getScore() {
        return score;
    }

    public String getFlag() {
        return flag;
    }

    public String getWord() {
        return word;
    }

    public String getDefinition() {
        return definition;
    }

    public void setDefinition(String definition) {
        this.definition = definition;
    }
}
