
import it.inaf.oats.ia2.tapschemamanager.webapp.CredentialsConfiguration;
import it.inaf.oats.ia2.tapschemamanager.webapp.SeparateCredentials;
import it.inaf.oats.ia2.tapschemamanager.api.Credentials;
import it.inaf.oats.ia2.tapschemamanager.webapp.CredentialsBean;
import java.io.StringReader;
import java.io.StringWriter;
import javax.xml.bind.JAXB;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Ignore;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author Sonia Zorba {@literal <zorba at oats.inaf.it>}
 */
public class TapSchemaMangerTest {

    private static final Logger log = LoggerFactory.getLogger(TapSchemaMangerTest.class);

    public TapSchemaMangerTest() {
    }

    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    @Test
    public void testCredentialsConfigSerialization() throws Exception {
        CredentialsConfiguration cc = new CredentialsConfiguration();

        cc.addCredentials(new Credentials());

        SeparateCredentials sc = new SeparateCredentials();
        sc.setSourceCredentials(new Credentials());
        sc.setTapSchemaCredentials(new Credentials());
        cc.addSeparateCredentials(sc);

        StringWriter sw = new StringWriter();
        JAXB.marshal(cc, sw);

        StringReader sr = new StringReader(sw.toString());

        cc = JAXB.unmarshal(sr, CredentialsConfiguration.class);
        sw = new StringWriter();
        JAXB.marshal(cc, sw);

        log.debug(sw.toString());
        sw.close();
    }
}
